HTTP Example:GET /rest/monitoring/usages/tenants?tenantName=…&tID=…&from=…&to=…&sID=…
| API Example: IMonitoringAPI.listTenantUsage({'tenantName': , 'tID': , 'from': , 'to': , 'sID': }); |
List general information about how tenants have used the system. The list returned can
include multiple entries for the same tenant, with each entry spanning different time periods; no aggregation is
performed. - Output:
- TenantUsageListing - The tenant usage statistics.
- Query parameters:
- tenantName - the name of the tenant to retrieve the usage information for.
- tID - the ID of the tenant to retrieve the usage information for.
If neither tenantName nor tID are specified, usage information for all tenants is retrieved.
If both are specified, tID is used and tenantName is ignored.
- from - The date from which to list the usages. Returned usages will have a start date greater than or equal to this value.
If not set, then a time of one hour ago is used.
- to - The date up to which to list the usages. Returned usages will have an end date less than or equal to this value.
If not set, the current server time is used.
- sID - the session identifier. This must belong to an administrator from the primary tenant.
- Produces:
- application/xml
- application/json
|